Ipelib: ipe::PdfResources Class Reference

Ipelib

Classes | Public Member Functions | List of all members
ipe::PdfResources Class Reference
Ipe Base

`#include <iperesources.h>`

## Classes
struct | SPageNumber

## Public Member Functions
| PdfResources ()
bool | collect (const PdfDict *resources, PdfFile *file)
const PdfObj * | object (int num) const noexcept
const PdfDict * | resourcesOfKind (String kind) const noexcept
const PdfDict * | findResource (String kind, String name) const noexcept
const PdfDict * | findResource (const PdfDict *xf, String kind, String name) const noexcept
const PdfObj * | getDeep (const PdfDict *d, String key) const noexcept
const PdfDict * | getDict (const PdfDict *d, String key) const noexcept
void | addPageNumber (SPageNumber &pn) noexcept
const Text * | pageNumber (int page, int view) const noexcept
const std::vector< int > & | embedSequence () const noexcept
void | show () const noexcept

## Detailed Description

All the resources needed by the text objects in the document.

## Constructor & Destructor Documentation

## ◆ PdfResources()

PdfResources::PdfResources | ( |  | ) |

References ipe::PdfObj::array(), ipe::PdfArray::count(), ipe::PdfDict::count(), ipe::PdfObj::dict(), ipe::PdfArray::obj(), ipe::PdfObj::ref(), ipe::PdfFile::take(), ipe::PdfRef::value(), and ipe::PdfDict::value().

## Member Function Documentation

## ◆ collect()

bool PdfResources::collect | ( | const PdfDict * | resources,
|  | PdfFile * | file
| ) |  |

Collect (recursively) all the given resources (of the one latex page). Takes ownership of all the scanned objects.

References ipe::PdfDict::add(), ipe::PdfArray::append(), ipe::PdfObj::array(), ipe::PdfArray::count(), ipe::PdfDict::count(), ipe::PdfObj::dict(), ipe::PdfDict::get(), ipe::PdfDict::key(), ipe::PdfObj::name(), ipe::PdfObj::number(), ipe::PdfArray::obj(), ipe::PdfObj::ref(), ipe::PdfObj::repr(), ipe::PdfNumber::value(), ipe::PdfName::value(), ipe::PdfRef::value(), ipe::PdfDict::value(), and ipe::String::z().

## ◆ object()

const PdfObj * PdfResources::object | ( | int | num | ) | const
| noexcept

## ◆ resourcesOfKind()

const PdfDict * PdfResources::resourcesOfKind | ( | String | kind | ) | const
| noexcept

References ipe::PdfObj::dict().

Referenced by findResource().

## ◆ findResource() [1/2]

const PdfDict * PdfResources::findResource | ( | String | kind,
|  | String | name
| ) |  | const
| noexcept

References getDict(), and resourcesOfKind().

## ◆ findResource() [2/2]

const PdfDict * PdfResources::findResource | ( | const PdfDict * | xf,
|  | String | kind,
|  | String | name
| ) |  | const
| noexcept

References getDict().

## ◆ getDeep()

const PdfObj * PdfResources::getDeep | ( | const PdfDict * | d,
|  | String | key
| ) |  | const
| noexcept

References ipe::PdfObj::ref(), and ipe::PdfRef::value().

Referenced by getDict().

## ◆ getDict()

const PdfDict * PdfResources::getDict | ( | const PdfDict * | d,
|  | String | key
| ) |  | const
| noexcept

References ipe::PdfObj::dict(), and getDeep().

Referenced by findResource().

## ◆ addPageNumber()

void PdfResources::addPageNumber | ( | SPageNumber & | pn | ) |
| noexcept

## ◆ pageNumber()

const Text * PdfResources::pageNumber | ( | int | page,
|  | int | view
| ) |  | const
| noexcept

References ipe::Text::text().

## ◆ embedSequence()

const std::vector<int>& ipe::PdfResources::embedSequence | ( |  | ) | const
| inlinenoexcept

References show().

## ◆ show()

void PdfResources::show | ( |  | ) | const
| noexcept

Referenced by embedSequence().

The documentation for this class was generated from the following files:

- iperesources.h
- iperesources.cpp